
- NASM Map file ---------------------------------------------------------------

Source file:  history.asm
Output file:  ../../bin/history.xld

-- Program origin -------------------------------------------------------------

00000000

-- Sections (summary) ---------------------------------------------------------

Vstart            Start             Stop              Length    Class     Name
               0                 0                 0  00000000  progbits  .text
               0                 0                50  00000050  progbits  HEADER
               0                50               870  00000820  progbits  CODE
               0               870               A20  000001B0  progbits  DATA
               0                 0                 0  00000000  nobits    relocatedzero
               0                 0                 0  00000000  nobits    RELOCATEDDATA

-- Sections (detailed) --------------------------------------------------------

---- Section .text ------------------------------------------------------------

class:     progbits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section HEADER -----------------------------------------------------------

class:     progbits
length:                  50
start:                    0
align:                   10
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section CODE -------------------------------------------------------------

class:     progbits
length:                 820
start:                   50
align:                   10
follows:   HEADER
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section DATA -------------------------------------------------------------

class:     progbits
length:                 1B0
start:                  870
align:                   10
follows:   CODE
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section relocatedzero ----------------------------------------------------

class:     nobits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section RELOCATEDDATA ----------------------------------------------------

class:     nobits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

-- Symbols --------------------------------------------------------------------

---- No Section ---------------------------------------------------------------

Value     Name
00000000  ELD_HEADER
00000000  eldhSignature
00000008  eldhCodeOffset
0000000C  eldhCodeImageLength
0000000E  eldhCodeAllocLength
00000010  eldhDataOffset
00000014  eldhDataImageLength
00000016  eldhDataAllocLength
00000018  eldhCodeEntrypoint
0000001A  eldhReserved
0000001E  eldhExtensionSize
00000020  ELD_HEADER_size
00000020  ELD_HEADER_size_b
00000010  ELD_HEADER_size_w
00000008  ELD_HEADER_size_d
00000004  ELD_HEADER_size_q
00000002  ELD_HEADER_size_p
00000001  ELD_HEADER_size_pg
00000001  ELD_HEADER_size_ki
00000000  ELD_HEADERX
00000000  eldhxHeader
00000020  eldhxDescriptionOffset
00000024  eldhxHelpOffset
00000028  eldhxLibTable
0000002C  eldhxDateTimeOffset
00000030  ELD_HEADERX_size
00000000  ELD_TRAILER_HEADER
00000000  eldthSignature
00000008  eldthHeaderOffset
0000000C  eldthReserved
0000000E  eldthChecksum
00000010  ELD_TRAILER_HEADER_size
00000010  ELD_TRAILER_HEADER_size_b
00000008  ELD_TRAILER_HEADER_size_w
00000004  ELD_TRAILER_HEADER_size_d
00000002  ELD_TRAILER_HEADER_size_q
00000001  ELD_TRAILER_HEADER_size_p
00000001  ELD_TRAILER_HEADER_size_pg
00000001  ELD_TRAILER_HEADER_size_ki
00000000  ELD_LIBTABLE
00000000  eldltFormat
00000002  eldltAmount
00000004  eldltOffset
00000008  eldltCompressedLength
00000008  ELD_LIBTABLE_size
00000008  ELD_LIBTABLE_size_b
00000004  ELD_LIBTABLE_size_w
00000002  ELD_LIBTABLE_size_d
00000001  ELD_LIBTABLE_size_q
00000001  ELD_LIBTABLE_size_p
00000001  ELD_LIBTABLE_size_pg
00000001  ELD_LIBTABLE_size_ki
00000000  ELD_INSTANCE
00000000  eldiStartCode
00000002  eldiEndCode
00000004  eldiStartData
00000006  eldiEndData
00000008  eldiIdentifier
00000010  eldiFlags
0000000E  eldiListing_size
00000012  eldiListing
00000020  ELD_INSTANCE_size
00000001  eldifResident
00000000  ELD_LINKINFO
00000000  eldlSignature
00000002  eldlReserved
00000006  eldlUseLinkHash
00000008  eldlDataAmount
0000000A  eldlDataPrefixes
0000000C  eldlDataEntries
0000000E  eldlDataAddresses
00000010  eldlCodeAmount
00000012  eldlCodePrefixes
00000014  eldlCodeEntries
00000016  eldlCodeAddresses
00000018  ELD_LINKINFO_size
00000050  CODEOFFSET
00000001  ..@149.num
000001E0  endinstalled
00000001  ..@304.num
00000870  DATAOFFSET
000001B0  data_size
000001B0  transient_data_size
000000E0  resident_data_size
000001B0  total_data_size
00000001  ..@369.num
00000004  ..@378.num
00000290  endresident
00000000  linker._..@397.lframe_?frame_bp
FFFFFFFFFFFFFFFC  linker._..@397.lframe_?instance
FFFFFFFFFFFFFFFA  linker._..@397.lframe_?targetsection_low_optional_high
FFFFFFFFFFFFFFFA  linker._..@397.lframe_?targetsection
FFFFFFFFFFFFFFFB  linker._..@397.lframe_?optional
FFFFFFFFFFFFFFF6  linker._..@397.lframe_?linkinfo
FFFFFFFFFFFFFFF2  linker._..@397.lframe_?nextreloc
FFFFFFFFFFFFFFEE  linker._..@397.lframe_?entry
FFFFFFFFFFFFFFEC  linker._..@397.lframe_?use_hash
00000008  ..@508.num
00000820  code_size


---- Section HEADER -----------------------------------------------------------

Real              Virtual           Name
               0                 0  ..@53.strucstart
               0                 0  ..@56.strucstart
              28                28  header_extension_end
              30                30  description

---- Section CODE -------------------------------------------------------------

Real              Virtual           Name
              50                 0  code
              50                 0  ..@79.strucstart
              58                 8  ..@85.data
              70                20  command
              72                22  command.chain
              79                29  ..@90.skipparameter
              7A                2A  command.entry
              82                32  ..@.@@.1.0
              90                40  command.ours
              B8                68  ..@.@@.1.1
              BB                6B  clear
              C0                70  uninstall
              D1                81  ..@.@@.1.2
              E1                91  uninstall.loop
              F2                A2  uninstall.bx
              FC                AC  uninstall.setbx
             75F               70F  ..@144.name
             103                B3  ..@.@@.1.3
             110                C0  uninstall.bxnz
             121                D1  uninstall.done
             129                D9  ..@.@@.1.4
             131                E1  uninstall.error
             13C                EC  run_clear
             146                F6  run_show
             15D               10D  run_show.putsz_end
             162               112  ..@.@@.1.5
             174               124  run_show.in_data_entry
             178               128  run_show.in_separate
             197               147  ..@.@@.1.6
             197               147  run_show.not_entry
             197               147  run_show.loop
             1AF               15F  run_show.not_seg
             1CC               17C  run_show.done
             1CC               17C  run_show.end
             1CD               17D  get_history_first_last
             1DB               18B  ..@.@@.1.7
             1DB               18B  history_missing
             1E8               198  ..@.@@.1.8
             1F0               1A0  skipcomma
             1F7               1A7  ..@220.skipparameter
             1F8               1A8  isstring?
             1FF               1AF  ..@228.skipparameter
             200               1B0  chkeol
             207               1B7  ..@240.skipparameter
             208               1B8  cmd3
             20F               1BF  ..@248.skipparameter
             210               1C0  ispm
             217               1C7  ..@257.skipparameter
             218               1C8  putsz
             21F               1CF  ..@265.skipparameter
             220               1D0  setrc
             227               1D7  ..@274.skipparameter
             228               1D8  putsline_crlf
             22F               1DF  ..@285.skipparameter
             230               1E0  start
             25A               20A  ..@.@@.1.9
             260               210  start.show
             265               215  start.clear
             26A               21A  uninstall_oneshot
             28C               23C  ..@.@@.1.10
             28D               23D  install
             295               245  ..@349.skipparameter
             6C6               676  ..@349.name
             7EB               79B  ..@356.name
             7F9               7A9  ..@361.name
             75F               70F  ..@364.name
             2C4               274  install.only_first
             75F               70F  ..@373.name
             7E0               790  ..@380.name
             2DD               28D  ..@.@@.1.11
             2E0               290  linker
             2E3               293  linker._..@397.lenter
             303               2B3  ..@.@@.1.12
             30D               2BD  ..@.@@.1.13
             319               2C9  ..@.@@.1.14
             31E               2CE  ..@.@@.1.15
             32C               2DC  ..@.@@.1.16
             331               2E1  ..@.@@.1.17
             341               2F1  ..@.@@.1.18
             346               2F6  ..@.@@.1.19
             356               306  ..@.@@.1.20
             35D               30D  linker.otherloop
             360               310  linker.datarelocloop
             37A               32A  ..@.@@.1.21
             391               341  linker.datarelocfind
             3C7               377  linker.address_data_reloc
             3D2               382  ..@.@@.1.22
             3D3               383  linker.datarelocnotfound
             481               431  linker.datanotfound
             481               431  linker.codenotfound
             3E7               397  linker.build_match
             3F1               3A1  ..@.@@.1.23
             3FD               3AD  ..@.@@.1.24
             3FE               3AE  linker.donedatareloc
             408               3B8  linker.coderelocloop
             428               3D8  linker.coderelocfind
             477               427  ..@.@@.1.25
             481               431  linker.error_j
             483               433  ..@.@@.1.26
             492               442  linker.donecodereloc
             492               442  linker.hint
             49D               44D  ..@469.skipparameter
             4AA               45A  linker.loop_hint
             4AD               45D  ..@.@@.1.27
             4B6               466  linker.end_hint
             4C4               474  ..@482.skipparameter
             756               706  ..@489.name
             4D6               486  ..@492.skipparameter
             4D6               486  linker.no_hint
             7EB               79B  ..@502.name
             4F4               4A4  linker.error
             4F7               4A7  linker._..@397.lleave
             4FB               4AB  plex_check
             50F               4BF  ..@.@@.1.28
             518               4C8  ..@520.skipparameter
             710               6C0  ..@520.name
             528               4D8  ..@526.skipparameter
             52F               4DF  plex_check.notfound
             530               4E0  plex_check.checkret
             534               4E4  linkercoderelocations
             574               524  linkerdatarelocations
             61E               5CE  internalcodetocoderelocations
             640               5F0  internalcodetodatarelocations
             662               612  internaldatatocoderelocations
             664               614  internaldatatodatarelocations
             666               616  debuggeramissig
             666               616  ..@545.data
             66E               61E  ..@547.data
             676               626  listmsg
             676               626  listmsg.hint
             697               647  listmsg.hint.offset
             69F               64F  ..@90.name
             6AE               65E  ..@220.name
             6BA               66A  ..@228.name
             6C6               676  ..@240.name
             6CF               67F  ..@248.name
             6D6               686  ..@257.name
             6DD               68D  ..@265.name
             6E5               695  ..@274.name
             6ED               69D  ..@285.name
             6FD               6AD  ..@469.name
             706               6B6  ..@482.name
             710               6C0  ..@492.name
             71D               6CD  ..@526.name
             728               6D8  ..@103.name
             732               6E2  ..@107.name
             73B               6EB  ..@111.name
             74B               6FB  ..@127.name
             756               706  ..@132.name
             75F               70F  ..@140.name
             775               725  ..@165.name
             785               735  ..@183.name
             795               745  ..@189.name
             7A0               750  ..@195.name
             7B3               763  ..@200.name
             7C3               773  ..@204.name
             7D2               782  ..@292.name
             7E0               790  ..@306.name
             7EB               79B  ..@314.name
             7F9               7A9  ..@322.name
             808               7B8  ..@461.name
             819               7C9  ..@474.name
             83E               7EE  ..@510.name
             84F               7FF  ..@514.name
             867               817  lmsg

---- Section DATA -------------------------------------------------------------

Real              Virtual           Name
             870                 0  datastart
             870                 0  msg
             870                 0  msg.history
             878                 8  msg.clear
             87E                 E  msg.show
             883                13  msg.uninstall_done
             8A2                32  msg.uninstall_error
             8C9                59  msg.history_none
             8EB                7B  msg.history_unknown
             907                97  msg.history_missing
             940                D0  uinit_data
             940                D0  msg.help
             A03               193  msg.installed
             A20               1B0  init_data_end
             940                D0  history_data_entry
             950                E0  uinit_data_end
             950                E0  resident_data_end

---- Section relocatedzero ----------------------------------------------------

Real              Virtual           Name
               0                 0  relocatedzero

---- Section RELOCATEDDATA ----------------------------------------------------

Real              Virtual           Name
               0                 0  relocateddata

